from pathlib import Path
from django.conf import settings


TINYWIKI_USER_CONFIG = getattr(settings,
                               "TINYWIKI_USER_CONFIG",
                               {
                                   "username": "TinyWiki",
                                   "email": "tinywiki@example.com"
                               })

TINYWIKI_USER_LOOKUP = getattr(settings,
                               "TINYWIKI_USER_LOOKUP",
                               {'username': "TinyWiki"})

TINYWIKI_BRAND_LOGO = getattr(settings,
                              "TINYWIKI_BRAND_LOGO",
                              None)
TINYWIKI_BRAND_NAME = getattr(settings,
                              "TINYWIKI_BRAND_NAME",
                              "TinyWiki")

TINYWIKI_BOOSTRAP_TAGS = {
    'img': {
        'class': 'img-fluid',
    }
}

TINYWIKI_BASE_TEMPLATE = getattr(
    settings,
    "TINYWIKI_BASE_TEMPLATE",
    getattr(settings,
            "BASE_TEMPLATE",
            "tinywiki/base.html")
)

TINYWIKI_HOME = getattr(settings, "TINYWIKI_HOME", "tw-home")
TINYWIKI_BBCODE_EXTRA_FORMATTERS = getattr(settings, 'TINYWIKI_BBCODE_EXTRA_FORMATTERS', None)
TINYWIKI_BBCODE_EXTR_SIMPLE_FORMATTERS = getattr(settings, 'TINYWIKI_BBCODE_EXTR_SIMPLE_FORMATTERS', None)

USE_BOOTSTRAP = getattr(settings, "USE_BOOTSTRAP", False)
